Get Component Group Task
Get the component group task details
Get the component group task details
Request
URI
GET
https://{api_host}/suite-api/api/fleet-management/password-policies/component-groups/tasks/{id}
COPY
Path Parameters
string
id
Required
Task ID
Responses
200
Task detail
Returns
PasswordPolicyTask
of type(s)
application/json
This response body class contains all of the following:
PasswordPolicyTaskSummary ,
InlinePasswordPolicyTask1
"{\n \"taskId\" : \"077c4afc-81df-5cd3-ccd3-f0880d43999b\",\n \"taskType\" : \"POLICY_APPLY\",\n \"policyId\" : \"033a28ca-50be-4aa1-ada0-d7558b21c75a\",\n \"targetComponentGroups\" : {\n \"componentGroupResourceIds\" : [ \"055b39eb-70cf-4bc2-bfc2-e9779c32d88a\" ],\n \"componentGroups\" : [ \"INSTANCE\" ]\n },\n \"taskStatus\" : \"IN_PROGRESS\",\n \"createdAt\" : 1741630060000,\n \"updatedAt\" : 1741716460000,\n \"policyName\" : \"VCF Policy1\",\n \"targetComponentGroupsState\" : [ {\n \"componentGroupResourceId\" : \"055b39eb-70cf-4bc2-bfc2-e9779c32d88a\",\n \"componentGroupResourceFqdn\" : \"sddc-manager.example.com\",\n \"componentGroupResourceName\" : \"SDDC Manager\",\n \"componentGroup\" : \"INSTANCE\",\n \"complianceUpdatedAt\" : 1741716460000,\n \"componentGroupComplianceStatus\" : \"IN_PROGRESS\",\n \"policyId\" : \"033a28ca-50be-4aa1-ada0-d7558b21c75a\",\n \"policyName\" : \"VCF Policy1\"\n }, {\n \"componentGroupResourceId\" : \"066c49fc-81df-4bd2-cdc3-f0880d43990a\",\n \"componentGroupResourceFqdn\" : \"vcenter.example.com\",\n \"componentGroupResourceName\" : \"vCenter Server\",\n \"componentGroup\" : \"INSTANCE\",\n \"complianceUpdatedAt\" : 1741700000000,\n \"componentGroupComplianceStatus\" : \"COMPLIANT\",\n \"policyId\" : \"033a28ca-50be-4aa1-ada0-d7558b21c75a\",\n \"policyName\" : \"VCF Policy1\"\n } ],\n \"componentGroupsComplianceStatistics\" : [ {\n \"status\" : \"IN_PROGRESS\",\n \"count\" : 1\n }, {\n \"status\" : \"COMPLIANT\",\n \"count\" : 1\n } ]\n}"
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/fleet-management/password-policies/component-groups/tasks/{id}
Fleet Password Policy Management Operations
POST
Create Password Policy
PUT
Update Password Policy
POST
Export Compliance
POST
Query Components
POST
Query Component Groups
POST
Submit Policy Task
POST
Query Component Group Tasks
GET
Get Component Group Task
POST
Export Password Policies
POST
Query Password Policies
DELETE
Delete Password Policy
GET
Get Password Policy